D4Science Infrastructure - Task #11976

Task # 11977 (Closed): Make the tagme service more reliable.

New load balancer for the tagme service
Jun 18, 2018 07:37 PM - Andrea Dell'Amico

Status: Closed Start date: Jun 18, 2018
Priority: Normal Due date:

Assignee: _InfraScience Systems Engineer % Done: 100%
Category: System Application Estimated time: 0.00 hour
Target version: UnSprintable

Infrastructure: Production

Description

Use a new instance to work around the certificates issue.

History

#1 - Jun 18, 2018 07:42 PM - Andrea Dell'Amico
- Parent task set to #11977

Evaluate the rate limiting configuration to prevent the abuse of the Tagme APlIs.

#2 - Jul 16, 2018 04:15 PM - Andrea Dell'Amico

Some resources:

https://qist.github.com/jeremyj/e964a951634f1997daea
https://serverfault.com/questions/555763/haproxy-rate-limiting-conn-rate-conn-cur
https://blog.serverfault.com/2010/08/26/1016491873/
http://alex.mamchenkov.net/2017/05/17/haproxy-abuse-filtering-rate-limiting/

#3 - Jul 26, 2018 06:53 PM - Andrea Dell'Amico

As it seems that we solved the problem with the x509 certificates, we can use services-Ib.d4science.org. The rate limiting configuration still apply.

#4 - Jul 26, 2018 06:54 PM - Andrea Dell'Amico
- Tracker changed from VM Creation to Task

- Category set to System Application

#5 - Nov 21, 2018 01:43 PM - Andrea Dell'Amico

- Status changed from New to In Progress

#6 - Nov 21, 2018 07:03 PM - Andrea Dell'’Amico
- % Done changed from 0 to 90

Without rate limiting. | inserted the above URLs inside the haproxy configuration as a reference, but | would not activate one of the solutions without
testing it in a dev environment in advance.
| like the iptables proposal btw, it's not limited to haproxy.

#7 - Nov 21, 2018 07:04 PM - Andrea Dell'Amico

Tomorrow I'll change the DNS entry.

#8 - Nov 22, 2018 12:28 PM - Andrea Dell'Amico
- Status changed from In Progress to Closed

- % Done changed from 90 to 100

Done.
